PDA

View Full Version : I have MacBokPro 10.5.8.. I can not upgrade anymore.



AlanCole
03-23-2013,
Its had some difficulties because I can not upgrade anymore. But today I went to my Diabetic Carelink site and can not get on it because I have to have OS 10. 8 or higher... very recent change on their part.. I am not eager to have to buy a new computer but want to use that site. To down load the infor off my insulin pump and continuios gluc monitor. Any thoughts or ideas bdesides buying a new computer. Hate being forced into buying a new computer.

dekock
03-28-2013,
The earliest MBP that came with OS X 10.5.2 preinstalled is the early 2008 version and it can run the latest OSX with a few features that are unsupported. You'll first need to upgrade the MBP to OS X 10.6.6 ($19.99) at the very least to get the AppStore, from there you can then download the latest OSX (10.9 Mavericks) for free.

dekock
04-02-2013,
What is the specific model of your Mac?

If you do not know, then this Apple page can help you figure it out:

http://support.apple.com/kb/HT4132